Create a Lead

Creates a new lead for a specified position. Returns the Lead.

Use this endpoint to add passive candidates sourced through third-party tools, sourcing platforms, or employee referral portals.

Request

POST https://api.comeet.co/leads

Request body parameters:

NameTypeOptionalDescription
position_uidstringRequiredUnique ID of the position in Recruit
partner_lead_idstringOptionalUnique ID of the lead on the partner's system
first_namestringRequired
middle_namestringOptional
last_namestringRequired
emailstringOptional
phonestringOptional
mobile_phonestringOptional
national_idstringOptional
linkedin_urlstringOptional
salary_expectationsstringOptionalAccess to this field is restricted in Recruit
outreach_statusstringRequiredOne of the following: Not Contacted, Contacted, Responded
resumeobjectOptionalSee restrictions below
pictureobjectOptionalProfile photo
linksarray_objectOptional
filesarray_objectOptionalSee restrictions below
source_contactobjectBy use caseInclude the source contact if your app aggregates multiple sources. For example, use this object to include the details of the sourcer who submitted the lead. Required for employee portals, otherwise it is optional.
source_contact.full_namestringRequiredRequired if the source_contact object is provided
source_contact.emailstringRequiredRequired if the source_contact object is provided
source_contact.phonestringOptional
addressobjectOptional
custom_fieldsobjectOptionalKey-value pairs of custom lead fields
notestringOptionalPlain text, no formatting.
🚧

Restrictions on lead files

The following restrictions apply to files added to the resume field:

  • File types allowed: .pdf, .doc, .docx

The following restrictions apply to files added to the files array:

  • Maximum size of 6MB
  • Image file types allowed: .jpeg, .jpg, .tiff, .tif, .png, .gif, .bmp, .jfif, .ico
  • Other file types allowed: .xlsx, .zip, .pptx, .msg, .rar, .xls, .csv, .gsheet, .xml, .7z, .txt, .gz, .gdoc, .ppsx, .ppt, .ics, .html, .htm, .eml, .dwg, .pdf, .doc, .docx, .rtf, .log

Note: The list of allowed file types can be customized for Recruit accounts on the Enterprise plan.

{
  "position_uid": "11.22",
  "partner_lead_id": "2222B",
  "first_name": "Jane",
  "middle_name": "Marie",
  "last_name": "Smith",
  "email": "[email protected]",
  "phone": "07-5551234",
  "mobile_phone": "052-7654321",
  "national_id": "1234-5678-9",
  "linkedin_url": "https://www.linkedin.com/in/jane-smith",
  "salary_expectations": "90k / Annual",
  "outreach_status": "Not Contacted",
  "resume": {
    "name": "jane_smith_cv.pdf",
    "file": "BASE64"
  },
  "picture": {
    "file": "BASE64",
    "name": "jane_photo.png"
  },
  "links": [
    {
      "url": "https://www.github.com/janesmith"
    }
    //...
  ],
  "files": [
    {
      "name": "Portfolio",
      "file": "BASE64"
    }
    //...
  ],
  "source_contact": {
    "full_name": "John Recruiter",
    "email": "[email protected]",
    "phone": "555 555 9876"
  },
  "address": {
    "country": "US",
    "city": "New York",
    "state": "NY",
    "zip": "10001",
    "street_address": "45 W 34th St"
  },
  "custom_fields": {
    "field1": "value1"
    //...
  },
  "note": "Sourced from LinkedIn. Strong background in backend engineering."
}

Response

{
  "uid": "00.BBB",
  "position_uid": "11.22",
  "source_contact": {
    "full_name": "John Recruiter",
    "email": "[email protected]",
    "phone": "555 555 9876"
  },
  "time_created": "2024-06-01T09:00:00Z",
  "outreach_status": "Not Contacted",
  "status": "In progress"
}
{
  "status": 409,
  "error": "lead_post_conflict",
  "message": "Lead with provided partner_lead_id already exists in position with status in progress",
  "lead_uid": "00.BBB"
}
📘

Keeping track of lead fields

NOTE: Not all fields submitted in the body of the POST request can be retrieved later through GET. Make sure you keep track of everything you need in your service.